<div *ngIf="showError" class="alert alert-danger" role="alert">
  <strong>{{ errorMessage }}</strong>
  <button type="button" class="close" (click)="toggleShowingError()">
    <span aria-hidden="true">&times;</span>
  </button>
</div>

<div *ngIf="successMessage" class="alert alert-success" role="alert">
    <strong>{{ successMessage }}</strong>
    <button type="button" class="close" (click)="toggleShowingSuccess()">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>

<div class="bg">
  <div class="container">
    <div class="row">
      <div class="col-3 header-bg">
        <div class="header-first"></div>
      </div>
      <div class="col-6 search">
        <div class="row">
          <div class="col-12">
            <input type="text" [(ngModel)]="search" />
          </div>
        </div>
        <div class="row">
          <div class="col-4"></div>
          <div class="col-4">
            <button *ngIf="!loading" (click)="urlValidation(search)">
              search
            </button>
            <div *ngIf="loading" class="loader"></div>
          </div>
          <div class="col-4">
          </div>
        </div>
      </div>
      <div class="col-3 header-bg">
        <div class="header-last pt-3">
          <ng-container *ngIf="installator">
            <div class="row text-right">
              <div class="col-12">{{installator.name}}</div>
            </div>
            <div class="row text-right">
              <div class="col-12">{{installator.version}}</div>
            </div>
          </ng-container>
        </div>
      </div>
    </div>
    <div class="row mt-4" *ngIf="installator">
      <ng-container *ngFor="let component of installator.applicationComponents">
        <div class="col-4">
          <app-card [component]="component" [endpoint]="search" (successMessage)="toggleShowingSuccess($event)" (errorMessage)="toggleShowingError($event)"></app-card>
        </div>
      </ng-container>
    </div>

    <div class="row mt-4" *ngIf="phases">
      <ng-container *ngFor="let phase of phases">
        <div class="col-4">
          <app-card [phase]="phase" [endpoint]="search" (successMessage)="toggleShowingSuccess($event)" (errorMessage)="toggleShowingError($event)"></app-card>
        </div>
      </ng-container>
    </div>
  </div>
</div>